Substy Developers
Campaigns

List creator tracking links

List a creator's tracking links with the supported filters. These links attribute incoming subscribers and traffic to a source.

GET/v1/agencies/{agencyId}/creators/{creatorId}/tracking-links

List a creator's tracking links with the supported filters. These links attribute incoming subscribers and traffic to a source.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Query Parameters

limit?number
Default50
offset?number
Default0
source?|string|array<|string>
search?string
syncStatus?|array<>
sortBy?string
Default"createdAt"

Value in

  • "name"
  • "clicks"
  • "subscribers"
  • "revenue"
  • "conversionRate"
  • "createdAt"
sortOrder?string
Default"desc"

Value in

  • "asc"
  • "desc"
minClicks?number
minSubscribers?number
minRevenue?number
minConversionRate?number
maxClicks?number
maxSubscribers?number
maxRevenue?number
maxConversionRate?number
dateCreatedFrom?string
dateCreatedTo?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/tracking-links" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "trackingLinks": [      {        "totalClicks": 0,        "totalSubscribers": 0,        "totalRevenue": 0,        "conversionRate": 0,        "reversals": null,        "snapshots": null,        "creatorId": "string",        "name": null,        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "url": null,        "revenue": 0,        "source": null,        "isActive": true,        "platformLinkId": null,        "clicks": 0,        "subscribers": 0,        "listId": null,        "syncStatus": "PENDING",        "promoCost": 0,        "profit": 0,        "cpc": 0,        "rpc": 0,        "cps": 0,        "arps": 0,        "roi": 0,        "mr": 0,        "lastSyncAt": null,        "syncError": null      }    ],    "total": 0,    "hasMore": true  },  "meta": {    "requestId": "string"  }}